forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Crossley (JIRA)" <j...@apache.org>
Subject [jira] Commented: (FOR-965) validation failure with gcj-4.1-1.4.2.0 (works with java-1.5.0-sun)
Date Thu, 15 Mar 2007 23:51:09 GMT

    [ https://issues.apache.org/jira/browse/FOR-965?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12481380
] 

David Crossley commented on FOR-965:
------------------------------------

It sounds like the culprit might be Jing. See main/build.xml line 185.

Also, there is a fixme note there to say that we need to implement a way to configure
"validate-config=false" similar to the other ways to switch off certain validation targets.

> validation failure with gcj-4.1-1.4.2.0 (works with java-1.5.0-sun)
> -------------------------------------------------------------------
>
>                 Key: FOR-965
>                 URL: https://issues.apache.org/jira/browse/FOR-965
>             Project: Forrest
>          Issue Type: Bug
>          Components: Core operations
>            Reporter: stuart yeates
>            Priority: Minor
>
> The version of Forrest current in version control does not work with gcj-4.1-1.4.2.0
(the GNU Java Compiler). The problem appears to be with XML parsing or validation and almost
certainly is inherited from one of the upstream projects (I've not tracked down which, but
xerces is a candidate). 
> Error message is:
> ----
>  cd $FORREST_HOME/main
>  ./build.sh test
> Using classpath: ../lib/endorsed/jakarta-bcel-20040329.jar:../lib/endorsed/jakarta-regexp-1.4.jar:../lib/endorsed/xalan-2.7.0.jar:../lib/endorsed/xercesImpl-2.8.0.jar:../lib/endorsed/xml-apis-1.3.03.jar
> validate-config:
> validating **/skinconf.xml ...
> 1 file(s) have been successfully validated.
> validating stylesheets **/*.xsl ...
> BUILD FAILED
> /home/syeates/simal/forrest/main/build.xml:185: java.lang.NullPointerException
> Total time: 1 second
> ----
> The same thing works fine with the same check out and the same environment with java-1.5.0-sun-1.5.0.08
note that these are Ubuntu edgy default package versions.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message